package com.heyu.api.data.dao.vv;
/**
* <p>
* 推广者获得奖品名细 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/
import com.heyu.api.data.entity.vv.VvPromoterAwardEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvPromoterAwardDao extends BaseMapper<VvPromoterAwardEntity> {


	VvPromoterAwardEntity selectVvPromoterAwardById(@Param("id")Long id);


	Long insertVvPromoterAward(VvPromoterAwardEntity vvPromoterAward);


	Long insertOrUpdateVvPromoterAward(VvPromoterAwardEntity vvPromoterAward);


	int updateVvPromoterAwardById(VvPromoterAwardEntity vvPromoterAward);


	int updateCoverVvPromoterAwardById(VvPromoterAwardEntity vvPromoterAward);


	int deleteVvPromoterAwardById(@Param("id")Long id);


}